DROP VIEW IF EXISTS softsat_locacao_veiculo_licenciamento;

CREATE VIEW softsat_locacao_veiculo_licenciamento AS
SELECT vei.*, sal.value AS mes_licenciamento FROM softsat_locacao_veiculo_detalhe AS vei 
INNER JOIN hwapx_setting AS sal ON sal.id = CONCAT('softsat.locacao.licenciamento.', SUBSTR(vei.placa, 8, 1))
WHERE vei.ativo = 1 AND vei.ano_licenciamento < YEAR(CURRENT_DATE);